Bug 130415 - New port: devel/p5-Class-Declare - Perl module for declare classes
Summary: New port: devel/p5-Class-Declare - Perl module for declare classes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-12 12:10 UTC by simarg
Modified: 2009-04-10 19:20 UTC (History)
0 users

See Also:


Attachments
file.shar (2.65 KB, text/plain)
2009-01-12 12:10 UTC, simarg
no flags Details
p5-Class-Declare.shar (2.61 KB, application/x-shar)
2009-02-06 08:23 UTC, tiger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description simarg 2009-01-12 12:10:01 UTC

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2009-01-12 12:34:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-01-18 11:29:17 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Over to maintainer.
Comment 3 Philip M. Gollucci freebsd_committer 2009-01-26 05:27:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 4 Philip M. Gollucci freebsd_committer 2009-01-26 06:22:32 UTC
State Changed
From-To: open->feedback

The encoding on the shar is out of whack, can you re submit it please.
Comment 5 simarg 2009-01-26 08:54:10 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	p5-Class-Declare/
#	p5-Class-Declare//.svn
#	p5-Class-Declare//.svn/all-wcprops
#	p5-Class-Declare//.svn/entries
#	p5-Class-Declare//.svn/format
#	p5-Class-Declare//.svn/prop-base
#	p5-Class-Declare//.svn/props
#	p5-Class-Declare//.svn/text-base
#	p5-Class-Declare//.svn/text-base/Makefile.svn-base
#	p5-Class-Declare//.svn/text-base/distinfo.svn-base
#	p5-Class-Declare//.svn/text-base/pkg-descr.svn-base
#	p5-Class-Declare//.svn/text-base/pkg-plist.svn-base
#	p5-Class-Declare//.svn/tmp
#	p5-Class-Declare//.svn/tmp/prop-base
#	p5-Class-Declare//.svn/tmp/props
#	p5-Class-Declare//.svn/tmp/text-base
#	p5-Class-Declare//Makefile
#	p5-Class-Declare//distinfo
#	p5-Class-Declare//pkg-descr
#	p5-Class-Declare//pkg-plist
#
echo c - p5-Class-Declare/
mkdir -p p5-Class-Declare/ > /dev/null 2>&1
echo c - p5-Class-Declare//.svn
mkdir -p p5-Class-Declare//.svn > /dev/null 2>&1
echo x - p5-Class-Declare//.svn/all-wcprops
sed 's/^X//' >p5-Class-Declare//.svn/all-wcprops << 'END-of-p5-Class-Declare//.svn/all-wcprops'
XK 25
Xsvn:wc:ra_dav:version-url
XV 54
X/admins-minsk/!svn/ver/71/ports/devel/p5-Class-Declare
XEND
Xdistinfo
XK 25
Xsvn:wc:ra_dav:version-url
XV 63
X/admins-minsk/!svn/ver/71/ports/devel/p5-Class-Declare/distinfo
XEND
Xpkg-descr
XK 25
Xsvn:wc:ra_dav:version-url
XV 64
X/admins-minsk/!svn/ver/71/ports/devel/p5-Class-Declare/pkg-descr
XEND
Xpkg-plist
XK 25
Xsvn:wc:ra_dav:version-url
XV 64
X/admins-minsk/!svn/ver/71/ports/devel/p5-Class-Declare/pkg-plist
XEND
XMakefile
XK 25
Xsvn:wc:ra_dav:version-url
XV 63
X/admins-minsk/!svn/ver/71/ports/devel/p5-Class-Declare/Makefile
XEND
END-of-p5-Class-Declare//.svn/all-wcprops
echo x - p5-Class-Declare//.svn/entries
sed 's/^X//' >p5-Class-Declare//.svn/entries << 'END-of-p5-Class-Declare//.svn/entries'
X8
X
Xdir
X72
Xhttp://jira.agava.net/admins-minsk/ports/devel/p5-Class-Declare
Xhttp://jira.agava.net/admins-minsk
X
X
X
X2009-01-12T15:42:44.081140Z
X71
Xkevit
X
X
Xsvn:special svn:externals svn:needs-lock
X
X
X
X
X
X
X
X
X
X
X
X218f7bdc-78cc-11dd-9314-c67fb2460ecd
X
Xdistinfo
Xfile
X
X
X
X
X2009-01-12T21:24:40.000000Z
Xb46bd0210d62697009f0ab2e8b4ae8a6
X2009-01-12T15:42:44.081140Z
X71
Xkevit
X
Xpkg-descr
Xfile
X
X
X
X
X2009-01-12T21:24:40.000000Z
Xd9ec2f4259d74d9311b1e950f880aa8c
X2009-01-12T15:42:44.081140Z
X71
Xkevit
X
Xpkg-plist
Xfile
X
X
X
X
X2009-01-12T21:24:40.000000Z
X20d7eb4a982f66272c2a8185531e8295
X2009-01-12T15:42:44.081140Z
X71
Xkevit
X
XMakefile
Xfile
X
X
X
X
X2009-01-12T21:24:40.000000Z
X2be6f6f8f09c74431adb343871bee77a
X2009-01-12T15:42:44.081140Z
X71
Xkevit
X
END-of-p5-Class-Declare//.svn/entries
echo x - p5-Class-Declare//.svn/format
sed 's/^X//' >p5-Class-Declare//.svn/format << 'END-of-p5-Class-Declare//.svn/format'
X8
END-of-p5-Class-Declare//.svn/format
echo c - p5-Class-Declare//.svn/prop-base
mkdir -p p5-Class-Declare//.svn/prop-base > /dev/null 2>&1
echo c - p5-Class-Declare//.svn/props
mkdir -p p5-Class-Declare//.svn/props > /dev/null 2>&1
echo c - p5-Class-Declare//.svn/text-base
mkdir -p p5-Class-Declare//.svn/text-base > /dev/null 2>&1
echo x - p5-Class-Declare//.svn/text-base/Makefile.svn-base
sed 's/^X//' >p5-Class-Declare//.svn/text-base/Makefile.svn-base << 'END-of-p5-Class-Declare//.svn/text-base/Makefile.svn-base'
X# New ports collection makefile for:  Class-Declare
X# Date created:        12 January 2009
X# Whom:            kevit
X#
X# $FreeBSD$
X#
X
XPORTNAME=      Class-Declare
XPORTVERSION=   0.12
XCATEGORIES=    devel perl5
XMASTER_SITES=  CPAN
XPKGNAMEPREFIX=  p5-
X
XMAINTAINER=    simarg@gmail.com
XCOMMENT=       Perl module for declare classes
X
XBUILD_DEPENDS=  ${SITE_PERL}/${PERL_ARCH}/Test/Exception.pm:${PORTSDIR}/devel/p5-Test-Exception
XRUN_DEPENDS=    ${BUILD_DEPENDS}
X
XPERL_CONFIGURE= yes
XMAN3=		Class::Declare::Dump.3 Class::Declare.3 Class::Declare::Hash.3
X
X.include <bsd.port.mk>
END-of-p5-Class-Declare//.svn/text-base/Makefile.svn-base
echo x - p5-Class-Declare//.svn/text-base/distinfo.svn-base
sed 's/^X//' >p5-Class-Declare//.svn/text-base/distinfo.svn-base << 'END-of-p5-Class-Declare//.svn/text-base/distinfo.svn-base'
XMD5 (Class-Declare-0.12.tar.gz) = 6eeb2ffecef03f232220a077ff03694c
XSHA256 (Class-Declare-0.12.tar.gz) = 45b0c27acd3077b2906d1a71db9df08ebfab1b4e1f9a3d4daa59e91df85f8418
XSIZE (Class-Declare-0.12.tar.gz) = 78856
END-of-p5-Class-Declare//.svn/text-base/distinfo.svn-base
echo x - p5-Class-Declare//.svn/text-base/pkg-descr.svn-base
sed 's/^X//' >p5-Class-Declare//.svn/text-base/pkg-descr.svn-base << 'END-of-p5-Class-Declare//.svn/text-base/pkg-descr.svn-base'
XClass::Declare allows class authors to specify public, private and protected 
Xattributes and methods for their classes, giving them control over how their
Xmodules may be accessed. The standard object oriented programming concepts 
Xof public, private and protected have been implemented for both class and 
Xinstance (or object) attributes and methods.  
X
XWWW: http://search.cpan.org/~ibb/Class-Declare/Declare.pm
X- Sergey Karatkevich
Xsimarg@gmail.com
END-of-p5-Class-Declare//.svn/text-base/pkg-descr.svn-base
echo x - p5-Class-Declare//.svn/text-base/pkg-plist.svn-base
sed 's/^X//' >p5-Class-Declare//.svn/text-base/pkg-plist.svn-base << 'END-of-p5-Class-Declare//.svn/text-base/pkg-plist.svn-base'
X%%SITE_PERL%%/Class/Declare.pm
X%%SITE_PERL%%/Class/Declare/Dump.pm
X%%SITE_PERL%%/Class/Declare/Hash.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Class/Declare/.packlist
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Class/Declare
X@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Class
X@dirrm %%SITE_PERL%%/Class/Declare
X@dirrmtry %%SITE_PERL%%/Class
END-of-p5-Class-Declare//.svn/text-base/pkg-plist.svn-base
echo c - p5-Class-Declare//.svn/tmp
mkdir -p p5-Class-Declare//.svn/tmp > /dev/null 2>&1
echo c - p5-Class-Declare//.svn/tmp/prop-base
mkdir -p p5-Class-Declare//.svn/tmp/prop-base > /dev/null 2>&1
echo c - p5-Class-Declare//.svn/tmp/props
mkdir -p p5-Class-Declare//.svn/tmp/props > /dev/null 2>&1
echo c - p5-Class-Declare//.svn/tmp/text-base
mkdir -p p5-Class-Declare//.svn/tmp/text-base > /dev/null 2>&1
echo x - p5-Class-Declare//Makefile
sed 's/^X//' >p5-Class-Declare//Makefile << 'END-of-p5-Class-Declare//Makefile'
X# New ports collection makefile for:  Class-Declare
X# Date created:        12 January 2009
X# Whom:            kevit
X#
X# $FreeBSD$
X#
X
XPORTNAME=      Class-Declare
XPORTVERSION=   0.12
XCATEGORIES=    devel perl5
XMASTER_SITES=  CPAN
XPKGNAMEPREFIX=  p5-
X
XMAINTAINER=    simarg@gmail.com
XCOMMENT=       Perl module for declare classes
X
XBUILD_DEPENDS=  ${SITE_PERL}/${PERL_ARCH}/Test/Exception.pm:${PORTSDIR}/devel/p5-Test-Exception
XRUN_DEPENDS=    ${BUILD_DEPENDS}
X
XPERL_CONFIGURE= yes
XMAN3=		Class::Declare::Dump.3 Class::Declare.3 Class::Declare::Hash.3
X
X.include <bsd.port.mk>
END-of-p5-Class-Declare//Makefile
echo x - p5-Class-Declare//distinfo
sed 's/^X//' >p5-Class-Declare//distinfo << 'END-of-p5-Class-Declare//distinfo'
XMD5 (Class-Declare-0.12.tar.gz) = 6eeb2ffecef03f232220a077ff03694c
XSHA256 (Class-Declare-0.12.tar.gz) = 45b0c27acd3077b2906d1a71db9df08ebfab1b4e1f9a3d4daa59e91df85f8418
XSIZE (Class-Declare-0.12.tar.gz) = 78856
END-of-p5-Class-Declare//distinfo
echo x - p5-Class-Declare//pkg-descr
sed 's/^X//' >p5-Class-Declare//pkg-descr << 'END-of-p5-Class-Declare//pkg-descr'
XClass::Declare allows class authors to specify public, private and protected 
Xattributes and methods for their classes, giving them control over how their
Xmodules may be accessed. The standard object oriented programming concepts 
Xof public, private and protected have been implemented for both class and 
Xinstance (or object) attributes and methods.  
X
XWWW: http://search.cpan.org/~ibb/Class-Declare/Declare.pm
X- Sergey Karatkevich
Xsimarg@gmail.com
END-of-p5-Class-Declare//pkg-descr
echo x - p5-Class-Declare//pkg-plist
sed 's/^X//' >p5-Class-Declare//pkg-plist << 'END-of-p5-Class-Declare//pkg-plist'
X%%SITE_PERL%%/Class/Declare.pm
X%%SITE_PERL%%/Class/Declare/Dump.pm
X%%SITE_PERL%%/Class/Declare/Hash.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Class/Declare/.packlist
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Class/Declare
X@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Class
X@dirrm %%SITE_PERL%%/Class/Declare
X@dirrmtry %%SITE_PERL%%/Class
END-of-p5-Class-Declare//pkg-plist
exit

=
Comment 6 Philip M. Gollucci freebsd_committer 2009-02-06 04:11:41 UTC
Sorry, that didn't come through as an attachment.  Third time is the charm ?
Comment 7 tiger 2009-02-06 08:23:35 UTC
hi,
I hope this will be true

--
wbr, tiger
Comment 8 tiger 2009-02-06 09:45:34 UTC
hi,
Sorry, the file content is below

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	p5-Class-Declare/
#	p5-Class-Declare/distinfo
#	p5-Class-Declare/pkg-descr
#	p5-Class-Declare/pkg-plist
#	p5-Class-Declare/Makefile
#
echo c - p5-Class-Declare/
mkdir -p p5-Class-Declare/ > /dev/null 2>&1
echo x - p5-Class-Declare/distinfo
sed 's/^X//' >p5-Class-Declare/distinfo << '5f33d994a254bb12e74ce0db966ff200'
XMD5 (Class-Declare-0.12.tar.gz) = 6eeb2ffecef03f232220a077ff03694c
XSHA256 (Class-Declare-0.12.tar.gz) = 45b0c27acd3077b2906d1a71db9df08ebfab1b4e1f9a3d4daa59e91df85f8418
XSIZE (Class-Declare-0.12.tar.gz) = 78856
5f33d994a254bb12e74ce0db966ff200
echo x - p5-Class-Declare/pkg-descr
sed 's/^X//' >p5-Class-Declare/pkg-descr << '2410d6295347df39b1b9dd1d5ce5d7c2'
XClass::Declare allows class authors to specify public, private and protected 
Xattributes and methods for their classes, giving them control over how their
Xmodules may be accessed. The standard object oriented programming concepts 
Xof public, private and protected have been implemented for both class and 
Xinstance (or object) attributes and methods.  
X
XWWW: http://search.cpan.org/~ibb/Class-Declare/Declare.pm
X- Sergey Karatkevich
Xsimarg@gmail.com
2410d6295347df39b1b9dd1d5ce5d7c2
echo x - p5-Class-Declare/pkg-plist
sed 's/^X//' >p5-Class-Declare/pkg-plist << '37fe3e0a9d249fef328a8a7da5acc5e1'
X%%SITE_PERL%%/Class/Declare.pm
X%%SITE_PERL%%/Class/Declare/Dump.pm
X%%SITE_PERL%%/Class/Declare/Hash.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Class/Declare/.packlist
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Class/Declare
X@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Class
X@dirrm %%SITE_PERL%%/Class/Declare
X@dirrmtry %%SITE_PERL%%/Class
37fe3e0a9d249fef328a8a7da5acc5e1
echo x - p5-Class-Declare/Makefile
sed 's/^X//' >p5-Class-Declare/Makefile << '009321ab936559bd39b065d2f314d951'
X# New ports collection makefile for:  Class-Declare
X# Date created:        12 January 2009
X# Whom:            kevit
X#
X# $FreeBSD$
X#
X
XPORTNAME=      Class-Declare
XPORTVERSION=   0.12
XCATEGORIES=    devel perl5
XMASTER_SITES=  CPAN
XPKGNAMEPREFIX=  p5-
X
XMAINTAINER=    simarg@gmail.com
XCOMMENT=       Perl module for declare classes
X
XBUILD_DEPENDS=  ${SITE_PERL}/${PERL_ARCH}/Test/Exception.pm:${PORTSDIR}/devel/p5-Test-Exception
XRUN_DEPENDS=    ${BUILD_DEPENDS}
X
XPERL_CONFIGURE= yes
XMAN3=		Class::Declare::Dump.3 Class::Declare.3 Class::Declare::Hash.3
X
X.include <bsd.port.mk>
009321ab936559bd39b065d2f314d951
exit



--
wbr, tiger
Comment 9 Philip M. Gollucci freebsd_committer 2009-04-09 20:01:58 UTC
State Changed
From-To: feedback->open

feedback received
Comment 10 dfilter service freebsd_committer 2009-04-10 19:12:16 UTC
pgollucci    2009-04-10 18:12:02 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-Class-Declare Makefile distinfo pkg-descr pkg-plist 
  Log:
  Class::Declare allows class authors to specify public, private and protected
  attributes and methods for their classes, giving them control over how their
  modules may be accessed. The standard object oriented programming concepts
  of public, private and protected have been implemented for both class and
  instance (or object) attributes and methods.
  
  WWW: http://search.cpan.org/~ibb/Class-Declare/Declare.pm
  - Sergey Karatkevich
  simarg@gmail.com
  
  PR:             ports/130415
  Submitted by:   kevit
  
  Revision  Changes    Path
  1.3463    +1 -0      ports/devel/Makefile
  1.1       +23 -0     ports/devel/p5-Class-Declare/Makefile (new)
  1.1       +3 -0      ports/devel/p5-Class-Declare/distinfo (new)
  1.1       +9 -0      ports/devel/p5-Class-Declare/pkg-descr (new)
  1.1       +8 -0      ports/devel/p5-Class-Declare/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Philip M. Gollucci freebsd_committer 2009-04-10 19:13:24 UTC
State Changed
From-To: open->closed

Committed. Thanks!